package types

import (
	"fmt"
)

type PackageData struct {
	Kind    string
	LoadLib *LoadLib
}

type Package struct {
	Data *PackageData
}

func NewPackage(loadLib *LoadLib) *Package {
	return &Package{&PackageData{
		Kind:    "in-package :om",
		LoadLib: loadLib,
	}}
}

func (s *Package) GetData() *PackageData {
	return s.Data
}

func (s *Package) SetData(data *PackageData) {
	s.Data = data
}

func (s *Package) Build() string {
	return fmt.Sprintf("(%s) (%s)", s.GetData().Kind, s.GetData().LoadLib.Build())
}
